%define name	pan
%define version 0.8.0beta2
%define release 1mdk
%define prefix  /usr

Summary: A USENET newsreader for GNOME
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/News
URL: http://www.superpimp.org/
Source: %{name}-%{version}.tar.bz2
Source1: pan_menuentry
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
BuildPreReq: gtk+-devel, gnome-libs-devel, ORBit-devel, gettext
Docdir: %{prefix}/doc
Requires: gtk+ >= 1.2.6
Requires: gnome-libs >= 1.0.16

%description
This is version %{version} of PAN, the Pimp Ass Newsreader.  Its
goal is to make a user-friendly and powerful USENET newsreadre for
GNOME.  Its user interface is based loosely on popular newsreaders
for Windows.
 
This is alpha software, so don't expect everything to work
correctly or even at all.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

LINGUAS="da de es fr it ja ko no pl se sr" \
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
    --prefix=%{prefix} --enable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

# Menu Entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/pan

%post
if [ -x /usr/bin/update-menus ]; then
	update-menus
fi

%postun
if [ -x /usr/bin/update-menus ]; then
	update-menus
fi

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING CREDITS
%attr(755,root,root) %{prefix}/bin/pan
%{prefix}/share/gnome/apps/Internet/pan.desktop
%{prefix}/share/locale/*/*/*
/usr/lib/menu/pan

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 0.8.0beta2-1mdk
- Updated to 0.8.0beta2

* Sun Feb 27 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 0.7.6.
- added BuildPreReq things.

* Fri Feb 11 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- v 0.7.5

* Tue Feb 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- v 0.7.4

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 0.6.5
- fix location of files
- added CFLAGS en CXXFLAGS

* Wed Dec 1 1999 Charles Kerr <charles@skywalker.ecn.ou.edu>
- added "-ggdb3" to CFLAGS so that it'll be easier to read backtraces
  submitted in bug reports

* Thu Nov 4 1999 Jason Leach <leach@wam.umd.edu>
- added gtk+-1.2.6 requirement (1.2.3 definitely breaks, might as well
  make it newest gtk+)

* Tue Nov 2 1999 Jason Leach <leach@wam.umd.edu>
- made .spec.in file to auto-generate .spec

* Sat Sep 25 1999 Leland Elie <lelie@airmail.net>
- created spec file.
